#!/usr/bin/perl

print "Are you sure you want to bother route-server.is.co.za? ";
$x = <STDIN>;
if (! $x =~ m/^yes/) {
	print "You didn't say 'yes'.  I'll be polite and not do it...\n";
	exit;
}

# From:
# http://rodent.za.net/BGPInformation

use Net::Telnet;

$prompt = '/public-route-server>/';
$server="route-server.is.co.za";

print "Connecting to $server\n";
my $session = Net::Telnet->new(Host => $server,Prompt => $prompt,Timeout=>30);
unlink("bgp-routes-za.log");
$session->dump_log("bgp-routes-za.log");

$session->waitfor($prompt);

#turn off paging
$session->cmd("terminal length 0");

#get list of local routes
print "Retrieving BGP routes\n";
my @output = $session->cmd("show ip bgp\n");
print @output;
print "Route list received\n";
$session->close;

open FILE,">active-routes";
print FILE @output;
close FILE;


