%define prefix /usr

Summary:    dddns is the client for delegated dynamic DNS (DDDNS)
Name:       dddns
Version:    1.0.1
Release:    0
Packager:   Andrew <andrew at ledge.co.za>
Source:     dddns-%{version}.tar.gz
URL:        http://www.ledge.co.za/software/dddns/
License:    GPL
Group:      Networking/Utilities
Prefix:     %{prefix}
Buildroot:  %{_tmppath}/%{name}-%{version}-root

%description
dddns sends RFC2136 updates to a local and a remote DNS server.
These updates define a delgation of a DNS sub-domain to your
local machine, and set your current IP address to be the address
for the domain.  

%prep
%setup -q

%build
./configure --prefix=%{prefix} --mandir=%{_mandir}
#make

%install
rm -rf %{_tmppath}/%{name}-%{version}-root
make install DESTDIR=%{_tmppath}/%{name}-%{version}-root

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_mandir}/man8/*
%doc COPYING README TODO Changelog
%{prefix}/bin/*
